Copyright 2019 by Early Diagnosis and Treatment Research Foundation, Vista Expertise Network, and Paraxial.

This manual is licensed under a Creative Commons Attribution-Share Alike 4.0 International license. Visit creativecommons.org for details.

### Intro

The data dictionaries represent all of the fields for VA-PALS ELCAP web application forms. They are saved in graphs within the application database under the global **^%wd(17.040801)**. Those graphs are generated by running a Mumps routine that imports the TSV files in this directory of the repo. Those TSV files are produced by exporting human-readable (if somewhat cryptic) Google Sheets, although this might change in the near future to consolidate the spreadsheets into this repo.

### View & Edit DD Spreadsheets

The Google Sheets exist in a Google Drive directory managed by the Vista Expertise Network (VEN). The read-only URL for that directory follows:

<https://drive.google.com/drive/folders/1DMLyravQ9y8g80jI0JB8_qpuqhNXxGcr?usp=sharing>

For permission to edit the spreadsheets, please email VEN (contact@vistaexpertise.net).

Another option for viewing the spreadsheets is to open the Excel file **data-dictionary-all.xlsm** in this directory. When you open the file, you will be presented the option of importing the latest TSV files.

We might well transition to using this file instead of the Google Sheets for making changes to the DDs. For now it only a tool for viewing them.

### Export Spreadsheets

After editing one of the spreadsheets, from the Google Sheets application menu select **File > Download as > Tab-separated values**. Then replace the appropriate TSV file in this directory of the repo.

### Import TSV & Generate DD Graph

This application and repo include a Mumps routine for importing TSV files to generate DD graphs. Below are verbatim commands you can run from the Mumps command line to generate the seven DD graphs, assuming you're working in one of our development environments such as a Docker container.

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","background.tsv","form fields - background")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","biopsy.tsv","form fields - biopsy")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","ct-evaluation.tsv","form fields - ct evaluation")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","follow-up.tsv","form fields - follow up")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","intake.tsv","form fields - intake")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","intervention.tsv","form fields - intervention")`

`>D PRSTSV^SAMIFF("/home/osehra/lib/silver/va-pals/docs/form-fields/","pet-evaluation.tsv","form fields - pet evaluation")`




